## com.sun.jna.platform.win32
Class Shell32Util

    java.lang.Object
      com.sun.jna.platform.win32.Shell32Util

    public abstract class Shell32Util

extends java.lang.Object

Shell32 Utility API.

Constructor Summary
`Shell32Util()`

Method Summary
`static java.lang.String` `getFolderPath(int nFolder)` Get a special folder path.
`static java.lang.String` `getFolderPath(W32API.HWND hwnd, int nFolder, W32API.DWORD dwFlags)` Get a special folder path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Shell32Util

    public Shell32Util()

Method Detail

### getFolderPath

    public static java.lang.String getFolderPath(W32API.HWND hwnd,
                                                 int nFolder,
                                                 W32API.DWORD dwFlags)

  Get a special folder path.

  Parameters:
    `hwnd` - Parent window.
    `nFolder` - Folder CSLID.
    `dwFlags` - Flags.
  Returns:
    Special folder.

### getFolderPath

    public static java.lang.String getFolderPath(int nFolder)

  Get a special folder path.

  Parameters:
    `nFolder` - Folder CSLID.
  Returns:
    Special folder path.